Skip to main content
PATCH
/
v2
/
gift-cards
/
offers
/
{giftCardOffer}
Update a gift card offer
curl --request PATCH \
  --url https://api.gameboost.com/v2/gift-cards/offers/{giftCardOffer} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "price": 1.01
}'
{
  "data": {
    "id": 123,
    "gift_card_id": 123,
    "price_eur": "<string>",
    "price_usd": "<string>",
    "stock": 123,
    "gift_card": {
      "id": 123,
      "region_id": 123,
      "brand_id": 123,
      "region": {
        "id": 123,
        "code": "<string>",
        "name": "<string>",
        "slug": "<string>",
        "is_country": true
      },
      "brand": {
        "id": 123,
        "name": "<string>",
        "slug": "<string>"
      },
      "title": "<string>",
      "face_value_amount": "<string>",
      "face_value_unit": "<string>",
      "face_value_unit_slug": "<string>",
      "lowest_price_eur": "<string>",
      "lowest_price_usd": "<string>",
      "highest_price_eur": "<string>",
      "highest_price_usd": "<string>",
      "is_enabled": true,
      "created_at": 123,
      "updated_at": 123
    },
    "created_at": 123,
    "updated_at": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

giftCardOffer
string
required

Body

application/json
price
number
required

Price per unit

Required range: x >= 0.01

Response

A single gift card offer

data
object

Gift card offer object representing a gift card listing for sale